Package org.apache.solr.client.solrj.impl

## Enum SolrClientNodeStateProvider.Variable

- java.lang.Object
- - java.lang.Enum<SolrClientNodeStateProvider.Variable>
  - - org.apache.solr.client.solrj.impl.SolrClientNodeStateProvider.Variable

All Implemented Interfaces:
  `Serializable`, `Comparable<SolrClientNodeStateProvider.Variable>`

Enclosing class:
  SolrClientNodeStateProvider

    public static enum SolrClientNodeStateProvider.Variable
    extends Enum<SolrClientNodeStateProvider.Variable>

### Enum Constant Summary

Enum Constants
`CORE_IDX`
`FREEDISK`
`TOTALDISK`

### Field Summary

Fields
`String` `metricsAttribute`
`String` `tagName`
`Class<?>` `type`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Object` `convertVal​(Object val)`
`static SolrClientNodeStateProvider.Variable` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static SolrClientNodeStateProvider.Variable[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FREEDISK

    public static final SolrClientNodeStateProvider.Variable FREEDISK

#### TOTALDISK

    public static final SolrClientNodeStateProvider.Variable TOTALDISK

#### CORE_IDX

    public static final SolrClientNodeStateProvider.Variable CORE_IDX

### Field Detail

#### tagName

    public final String tagName

#### metricsAttribute

    public final String metricsAttribute

#### type

    public final Class<?> type

### Method Detail

#### values

    public static SolrClientNodeStateProvider.Variable[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SolrClientNodeStateProvider.Variable c : SolrClientNodeStateProvider.Variable.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SolrClientNodeStateProvider.Variable valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### convertVal

    public Object convertVal​(Object val)